ouch-compress(1)

NAME
ouch-compress - Compress one or more files into one output file

SYNOPSIS
ouch compress [-l|--level] [-y|--yes] [--fast] [-n|--no] [-A|--accessible] [--slow] [-H|--hidden] [-S|--follow-symlinks] [-q|--quiet] [-g|--gitignore] [-f|--format] [-p|--password] [-c|--threads] [-h|--help] <FILES> <OUTPUT>

DESCRIPTION
Compress one or more files into one output file

OPTIONS

-l, --level <LEVEL>
    Compression level, applied to all formats

-y, --yes
    Skip [Y/n] questions, default to yes

--fast
    Fastest compression level possible, conflicts with --level and --slow

-n, --no
    Skip [Y/n] questions, default to no

-A, --accessible
    Activate accessibility mode, reducing visual noise

--slow
    Slowest (and best) compression level possible, conflicts with --level and --fast

-H, --hidden
    Ignore hidden files

-S, --follow-symlinks
    Read from target files instead of from symlinks (relevant for `tar` and `zip`)

-q, --quiet
    Silence output

-g, --gitignore
    Ignore files matched by git's ignore files

-f, --format <FORMAT>
    Specify the format of the archive

-p, --password <PASSWORD>
    Decompress or list with password

-c, --threads <THREADS>
    Concurrent working threads

-h, --help
    Print help

<FILES>
    Files to be compressed

<OUTPUT>
    The resulting file. Its extensions can be used to specify the compression formats